#pragma once
#include "opengl.h"
#include "physics.h"

/* Return 1 if collision is detected. */
int CollideSprite(const glTexture* at, const int asx, const int asy,
                  const Vec2* ap, const glTexture* bt,
                  const int bsx, const int bsy, const Vec2* bp,
                  Vec2* crash);

int CollideLineSprite(const Vec2* ap, double dir,
    const glTexture* bt, const int bsx, const int bsy, const Vec2* bp,
    Vec2* crash);

